// *****************************************************************************
// Copyright (c)  2016, 2017, 2018, 2019, 2020, 2021, 2022, 2023, 2024 joshua.tee@gmail.com. All rights reserved.
//
// Refer to the COPYING file of the official project for license.
// *****************************************************************************

final class R {

    final class Raw {
        static let hwv4 = "hwv4"
        static let hwv4ext = "hwv4ext"
        static let lakesv3 = "lakesv3"
        static let county = "county"
        static let countyv2 = "countyv2"
        static let statev3 = "statev3"
        static let statev2 = "statev2"
        static let mx = "mx"
        static let ca = "ca"
//        static let stations_us4 = "stations_us4.txt"
        static let obs_all = "obs_all.txt"
        static let colormaprefdkenh = "colormaprefdkenh.txt"
        static let colormaprefcode = "colormaprefcode.txt"
        static let colormaprefnssl = "colormaprefnssl.txt"
        static let colormaprefnwsd = "colormaprefnwsd.txt"
        static let colormaprefnws = "colormaprefnws.txt"
        static let colormaprefcodenh = "colormaprefcodenh.txt"
        static let colormaprefmenh = "colormaprefmenh.txt"
        static let colormaprefgreen = "colormaprefgreen.txt"
        static let colormaprefaf = "colormaprefaf.txt"
        static let colormaprefeak = "colormaprefeak.txt"
        static let colormapbvcod = "colormapbvcod.txt"
        static let colormapbvaf = "colormapbvaf.txt"
        static let colormapbveak = "colormapbveak.txt"
        static let colormap135cod = "colormap135cod.txt"
        static let colormap161cod = "colormap161cod.txt"
        static let colormap163cod = "colormap163cod.txt"
        static let colormap159cod = "colormap159cod.txt"
        static let colormap134cod = "colormap134cod.txt"
        static let colormap165cod = "colormap165cod.txt"
        static let colormap172cod = "colormap172cod.txt"
//        static let us_metar3 = "us_metar3.txt"
    }

    final class Drawable {
        static let bkn = "bkn.png"
        static let blizzard = "blizzard.png"
        static let cold = "cold.png"
        static let du = "du.png"
        static let fc = "fc.png"
        static let few = "few.png"
        static let fg = "fg.png"
        static let fu = "fu.png"
        static let fzra = "fzra.png"
        static let fzra_sn = "fzra_sn.png"
        static let hi_nshwrs = "hi_nshwrs.png"
        static let hi_ntsra = "hi_ntsra.png"
        static let hi_shwrs = "hi_shwrs.png"
        static let hi_tsra = "hi_tsra.png"
        static let hot = "hot.png"
        static let hz = "hz.png"
        static let ip = "ip.png"
        static let nbkn = "nbkn.png"
        static let nblizzard = "nblizzard.png"
        static let ncold = "ncold.png"
        static let ndu = "ndu.png"
        static let nfc = "nfc.png"
        static let nfew = "nfew.png"
        static let nfg = "nfg.png"
        static let nfu = "nfu.png"
        static let nfzra = "nfzra.png"
        static let nfzra_sn = "nfzra_sn.png"
        static let nip = "nip.png"
        static let novc = "novc.png"
        static let nra_fzra = "nra_fzra.png"
        static let nraip = "nraip.png"
        static let nra = "nra.png"
        static let nra_sn = "nra_sn.png"
        static let nsct = "nsct.png"
        static let nscttsra = "nscttsra.png"
        static let nshra = "nshra.png"
        static let nskc = "nskc.png"
        static let nsn = "nsn.png"
        static let ntor = "ntor.png"
        static let ntsra = "ntsra.png"
        static let nwind_bkn = "nwind_bkn.png"
        static let nwind_few = "nwind_few.png"
        static let nwind_ovc = "nwind_ovc.png"
        static let nwind_sct = "nwind_sct.png"
        static let nwind_skc = "nwind_skc.png"
        static let ovc = "ovc.png"
        static let ra_fzra = "ra_fzra.png"
        static let raip = "raip.png"
        static let ra = "ra.png"
        static let ra_sn = "ra_sn.png"
        static let sct = "sct.png"
        static let scttsra = "scttsra.png"
        static let shra = "shra.png"
        static let skc = "skc.png"
        static let sn = "sn.png"
        static let tor = "tor.png"
        static let tsra = "tsra.png"
        static let wind_bkn = "wind_bkn.png"
        static let wind_few = "wind_few.png"
        static let wind_ovc = "wind_ovc.png"
        static let wind_sct = "wind_sct.png"
        static let wind_skc = "wind_skc.png"
        static let sn_ip = "sn_ip.png"
        static let nsn_ip = "nsn_ip.png"
        static let rasn = "rasn.png"
        static let nrasn = "nrasn.png"
        static let hurr = "hurr.png"
        static let hurr_noh = "hurr_noh.png"
        static let tropstorm = "tropstorm.png"
        static let tropstorm_noh = "tropstorm_noh.png"
        static let nmix = "nmix.png"
        static let mix = "mix.png"
        static let ts = "ts.png"
        static let ts_hur_flags = "ts_hur_flags.png"
        static let minus_ra = "minus_ra.png"
        static let nminus_ra = "nminus_ra.png"
        static let nhi_tsra = "nhi_tsra.png"
    }
}
